Get product (offer) inventory by id
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/products/{productId}/inventory \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/products/{productId}/inventory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/products/{productId}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OFFER_NOT_FOUND_BY_SHOP_ID_AND_ID_ERROR",
"shopId": "<shopid>",
"offerId": "<offerid>"
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Products
Get Product Inventory
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns product (offer) inventory by id
GET
/
open-api
/
v1.0
/
products
/
{productId}
/
inventory
Get product (offer) inventory by id
OAuth scope:
offer_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
⌘I